// import store from '@/store/globalStore'
/**
 * 日志处理
 */
const log = wx.getRealtimeLogManager ? wx.getRealtimeLogManager() : null

const LOG = {
  debug () {
    if (!log) return
    log.debug.apply(log, arguments)
  },
  info() {
    if (!log) return
    log.info.apply(log, arguments)
  },
  warn () {
    if (!log) return
    log.warn.apply(log, arguments)
  },
  error () {
    if (!log) return
    log.error.apply(log, arguments)
  },
  setFilterMsg (msg) { // 从基础库2.7.3开始支持
    if (!log || !log.setFilterMsg) return
    if (typeof msg !== 'string') return
    log.setFilterMsg(msg)
  },
  addFilterMsg (msg) { // 从基础库2.8.1开始支持
    if (!log || !log.addFilterMsg) return
    if (typeof msg !== 'string') return
    log.addFilterMsg(msg)
  }
}

export const logInfo = (json) => {
  if(!json.data) return false
  LOG.info({
    ...json,
    data: json.data.replace(/\\/g, '').substring(0, 4000)
  })
  LOG.setFilterMsg(json.reqUrl)
}

export default LOG
